Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_ProxyPushConsumer Class Reference

ProxyPushConsumer. More...

`#include <CEC_ProxyPushConsumer.h>`

Inheritance diagram for TAO_CEC_ProxyPushConsumer

[legend]
Collaboration diagram for TAO_CEC_ProxyPushConsumer:

[legend]
List of all members.

## Public Types
typedef CosEventChannelAdmin::ProxyPushConsumer_ptr | _ptr_type
typedef CosEventChannelAdmin::ProxyPushConsumer_var | _var_type
## Public Methods
| TAO_CEC_ProxyPushConsumer (TAO_CEC_EventChannel* event_channel)
| constructor...
virtual | ~TAO_CEC_ProxyPushConsumer (void)
| destructor...
virtual CosEventChannelAdmin::ProxyPushConsumer_ptr | activate (CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException)
| Activate in the POA.
virtual void | deactivate (CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException)
| Deactivate from the POA.
CORBA::Boolean | is_connected (void) const
| Return 0 if no supplier is connected...
CosEventComm::PushSupplier_ptr | supplier (void) const
| Return the consumer object reference. It returns nil() if it has not connected yet.
CORBA::Boolean | supplier_non_existent (CORBA::Boolean_out disconnected, CORBA::Environment &ACE_TRY_ENV)
virtual void | shutdown (CORBA::Environment&)
| The event channel is shutting down.
CORBA::ULong | _incr_refcnt (void)
| Increment and decrement the reference count.
CORBA::ULong | _decr_refcnt (void)
virtual void | connect_push_supplier ( CosEventComm::PushSupplier_ptr push_supplier, CORBA::Environment &) throw (CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected)
virtual void | push (const CORBA::Any& event, CORBA::Environment &) throw (CORBA::SystemException)
virtual void | disconnect_push_consumer (CORBA::Environment &) throw (CORBA::SystemException)
virtual PortableServer::POA_ptr | _default_POA (CORBA::Environment& env)
virtual void | _add_ref (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual void | _remove_ref (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
## Protected Methods
void | supplier (CosEventComm::PushSupplier_ptr supplier)
| Set the supplier, used by some implementations to change the policies used when invoking operations on the supplier.
void | supplier_i (CosEventComm::PushSupplier_ptr supplier)
CORBA::Boolean | is_connected_i (void) const
| The private version (without locking) of is_connected().
void | cleanup_i (void)
| Release the supplier.
## Private Attributes
TAO_CEC_EventChannel* | event_channel_
| The supplier admin, used for activation and memory managment.
ACE_Lock* | lock_
| The locking strategy.
CORBA::ULong | refcount_
| The reference count.
CosEventComm::PushSupplier_var | supplier_
| The supplier....
int | connected_
| If the flag is not zero then we are connected, notice that the supplier can be nil.
PortableServer::POA_var | default_POA_
| Store the default POA.
## Friends
class | TAO_CEC_ProxyPushConsumer_Guard

## Detailed Description

ProxyPushConsumer.

Implement the CosEventChannelAdmin::ProxyPushConsumer interface, remember that this class is used to communicate with a PushSupplier, so, in effect, this is the ambassador for a supplier inside the event channel. = MEMORY MANAGMENT The object commits suicide when disconnect_push_consumer() is called.

## Member Typedef Documentation

typedef CosEventChannelAdmin::ProxyPushConsumer_ptr TAO_CEC_ProxyPushConsumer::_ptr_type

typedef CosEventChannelAdmin::ProxyPushConsumer_var TAO_CEC_ProxyPushConsumer::_var_type

## Constructor & Destructor Documentation

TAO_CEC_ProxyPushConsumer::TAO_CEC_ProxyPushConsumer ( | TAO_CEC_EventChannel * event_channel )

| constructor...

TAO_CEC_ProxyPushConsumer::~TAO_CEC_ProxyPushConsumer ( | void )`[virtual]`

| destructor...

## Member Function Documentation

virtual void TAO_CEC_ProxyPushConsumer::_add_ref ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

CORBA::ULong TAO_CEC_ProxyPushConsumer::_decr_refcnt ( | void )

PortableServer::POA_ptr TAO_CEC_ProxyPushConsumer::_default_POA ( | CORBA::Environment & env )`[virtual]`

CORBA::ULong TAO_CEC_ProxyPushConsumer::_incr_refcnt ( | void )

| Increment and decrement the reference count.

virtual void TAO_CEC_ProxyPushConsumer::_remove_ref ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

CosEventChannelAdmin::ProxyPushConsumer_ptr TAO_CEC_ProxyPushConsumer::activate ( | CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[virtual]`

| Activate in the POA.

void TAO_CEC_ProxyPushConsumer::cleanup_i ( | void )`[protected]`

| Release the supplier.

void TAO_CEC_ProxyPushConsumer::connect_push_supplier ( | CosEventComm::PushSupplier_ptr push_supplier,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected)`[virtual]`

void TAO_CEC_ProxyPushConsumer::deactivate ( | CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[virtual]`

| Deactivate from the POA.

void TAO_CEC_ProxyPushConsumer::disconnect_push_consumer ( | CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[virtual]`

ACE_INLINE CORBA::Boolean TAO_CEC_ProxyPushConsumer::is_connected ( | void ) const

| Return 0 if no supplier is connected...

ACE_INLINE CORBA::Boolean TAO_CEC_ProxyPushConsumer::is_connected_i ( | void ) const`[protected]`

| The private version (without locking) of is_connected().

void TAO_CEC_ProxyPushConsumer::push ( | const CORBA::Any & event,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[virtual]`

void TAO_CEC_ProxyPushConsumer::shutdown ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| The event channel is shutting down.

ACE_INLINE void TAO_CEC_ProxyPushConsumer::supplier ( | CosEventComm::PushSupplier_ptr supplier )`[protected]`

| Set the supplier, used by some implementations to change the policies used when invoking operations on the supplier.

ACE_INLINE CosEventComm::PushSupplier_ptr TAO_CEC_ProxyPushConsumer::supplier ( | void ) const

| Return the consumer object reference. It returns nil() if it has not connected yet.

ACE_INLINE void TAO_CEC_ProxyPushConsumer::supplier_i ( | CosEventComm::PushSupplier_ptr supplier )`[protected]`

CORBA::Boolean TAO_CEC_ProxyPushConsumer::supplier_non_existent ( | CORBA::Boolean_out disconnected,
| CORBA::Environment & ACE_TRY_ENV )

| Invoke the _non_existent() pseudo-operation on the supplier. If it is disconnected then it returns true and sets the <disconnected> flag.

## Friends And Related Function Documentation

class TAO_CEC_ProxyPushConsumer_Guard`[friend]`

## Member Data Documentation

int TAO_CEC_ProxyPushConsumer::connected_`[private]`

| If the flag is not zero then we are connected, notice that the supplier can be nil.

PortableServer::POA_var TAO_CEC_ProxyPushConsumer::default_POA_`[private]`

| Store the default POA.

TAO_CEC_EventChannel * TAO_CEC_ProxyPushConsumer::event_channel_`[private]`

| The supplier admin, used for activation and memory managment.

ACE_Lock * TAO_CEC_ProxyPushConsumer::lock_`[private]`

| The locking strategy.

CORBA::ULong TAO_CEC_ProxyPushConsumer::refcount_`[private]`

| The reference count.

CosEventComm::PushSupplier_var TAO_CEC_ProxyPushConsumer::supplier_`[private]`

| The supplier....

The documentation for this class was generated from the following files:

- CEC_ProxyPushConsumer.h
- CEC_ProxyPushConsumer.cpp
- CEC_ProxyPushConsumer.i